<template>
  <div class="_swiper-wrapper">
    <h5 class="title">Gallerie</h5>
    <swiper :options="swiperOption" ref="mySwiper">
      <!-- slides -->
      <swiper-slide v-for="(image,index) in gallery" :key="index">
        <div class="slide-content">
          <div class="slide-content__image-container"><img :src="image" alt=""></div>
        </div>
      </swiper-slide>
    </swiper>
    <!-- pagination -->
    <div class="gallery-swiper-pagination-wrapper">
      <div class="gallery-swiper-pagination"></div>
    </div>
    <!-- navigation -->
    <div class="gallery-swiper-button gallery-swiper-button--prev" slot="button--prev"><i class="fas fa-angle-left"></i></div>
    <div class="gallery-swiper-button gallery-swiper-button--next" slot="button--next"><i class="fas fa-angle-right"></i></div>
  </div>
</template>

<script>
import "swiper/dist/css/swiper.css";
import starRating from 'vue-star-rating'

import { swiper, swiperSlide } from "vue-awesome-swiper";

export default {
  name: 'gallerySwiper',
  components: {
    swiper,
    swiperSlide,
    starRating
  },
  props: {
    gallery:{
      type: Array,
      required: true
    }
  },
  data() {
    return {
      swiperOption: {
        slidesPerView: 4,
        spaceBetween: 30,
        autoHeight: true,
        roundLengths: true,
        centeredSlides : true,
        navigation: {
          nextEl: '.gallery-swiper-button--next',
          prevEl: '.gallery-swiper-button--prev'
        },
        pagination: {
          el: '.gallery-swiper-pagination',
          type: 'bullets',
          clickable: true
        },
        breakpoints: {
          1360: {
            slidesPerView: 4,
          },
          1020: {
            slidesPerView: 3.5,
          },
          860: {
            slidesPerView: 3,
          },
          770: {
            slidesPerView: 2.5,
          },
          650: {
            slidesPerView: 2,
          },
          540:{
            slidesPerView: 3,
          }
        }
      }
    };
  }
};
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00A290;


._swiper-wrapper{
  position: relative;
  max-width: 961px;
  margin: auto;
	margin-top: 27px;
  width: 959px;
  display: block;

  
  h5.title{
    color: #48443E;
    font-family: "Brandon Grotesque";
    font-size: 12px;
    font-weight: 900;
    text-transform: uppercase;
    margin: 0;
    box-sizing: border-box;
    @media(max-width: 1010px){
      padding: 0 20px;
    }
  }

  @media (max-width: 1015px){
    width:100%;
  }
}

.swiper-container{
    width: 100%;
    position: relative;
}

.slide-content {
    margin: 15px 0;

  &__image-container{
      width:220px;
      height: 220px;
      border-radius: 4px;
      margin-bottom: 26px;
      transition: .3s all;

    @media(max-width: 540px){
      width: 110px;
      height: 110px;
    }

    img{
      width:100%;
      height: 100%;
      object-fit: cover;
      border-radius: inherit;
    }
  }

  &__slide-info{
    padding: 0 5px;

    h1{
      font-family: Roboto;
      font-weight: normal;
      color: #48443E;
      font-size: 20px;
    }

    ul{
      padding: 0;
      
      li{
        list-style: none;
        color: #6A6662;
        font-family: Roboto;	
        font-size: 16px;
        line-height: 24px;

        i{
          color: #ffa17a;
          font-size: 12px;
          margin-right: 10px;
        }
      }
    }

  }

  .order-button{
    height: 40px;	
    width: 200px;	
    border: 2px solid $primary;	
    color: $primary;	
    background: transparent;
    border-radius: 20px;
    font-family: "Brandon Grotesque";	
    font-size: 14px;	
    text-transform: uppercase;
    font-weight: bold;	
    line-height: 20px;	
    text-align: center;
    cursor: pointer;
    transition: .2s all;
    position: relative;
    overflow: hidden;
    &:hover{
      background: $primary;
      color: #fff;

      &:before{
        opacity: 1;
      }
    }

    &:before{
      content: attr(data-content);
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      color: #fff;
      display: flex;
      text-align: center;
      justify-content: center;
      align-items: center;
      background: $primary;
      opacity: 0;
      transition: .2s opacity;
    } 
  }
}

.swiper-slide-active{
  .slide-content__image-container{
    transform: scale(1.1);
    box-shadow: 0px 13px 20px -6px #95c5c0;
  }
}

.gallery-swiper-button{
  width: 40px;
  height: 40px;
  background: $primary;
  border-radius: 4px;
  position: absolute;
  top: 0;
  bottom: 36px;
  margin: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 30px;
  cursor: pointer;
  z-index: 10;
  outline: none;

  &--prev{
    left: -72px;
  }

  &--next{
    right: -72px;
  }

  @media (max-width: 1015px){
    display:none;
  }
}

.swiper-button-disabled{
  background: #a6ddd7;
  cursor: default;
}

/deep/ .gallery-swiper-pagination-wrapper{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 25px;
    position: relative;

  .gallery-swiper-pagination{
    background: #fff;
    z-index: 10;
    padding: 0 74px;

    .swiper-pagination-bullet{
      margin: 0 5px;
      background: transparent;
      height: 10px;
      width: 10px;
      border: 2px solid $primary;
      opacity: 1;
      outline: none;
      box-sizing: border-box;

      &-active{
        background: $primary;
      }
    }
  }
  
  &:before{
    content: '';
    position: absolute;
    background-color: #ECECEB;
    height: 1px;
    width: 100%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
  }

}
</style>

